function p.get_is_solid()
    return true
end

function p.get_tex()
    return "block_hall"
end

function p.main()
    set_default_block("r_kitchen") --
    for x = 0,15 do
        for y = 0,15 do
            for z = 0,15 do
                if ( (x+y+z) % 2 == 0 ) then
                    set_pos(x,y,z,"r_bathroom2")
                end
            end
        end
    end
    create_rect("e", 1,1,1, 14,14,14)
 
    --Door.
    create_rect("e", 15,6,6, 15,8,8)
 
    local msg_str = "When creating a world, "
        .. "you will probably want to use cheat codes. "
        .. "By pressing the ~ key you can open the console. "
        .. "To enable cheat codes, you must type "
        .. "\"^x00ff00cheat PASSWORD^!\".\n\n"
        .. "You can learn the password "
        .. "by playing the game normally, "
        .. "but if you have gotten this far in the tutorial "
        .. "let me just tell you: "
        .. "^x00ff00the password is \"hodisclosetov\"^!.\n\n"
        .. "You can add this to "
        .. "Input/Scripts/program_startup.txt "
        .. "if you do not want to type this all the time. "
        .. "Once cheating is enabled, useful cheat codes are "
        .. "\"god\" and \"shrinkany\". "
        .. "The second one allows you to shrink or enlarge "
        .. "at any time by pressing x or z. "
    add_bent_s(13,2,2,"bent_base_txt",msg_str)
end
